Subject: Re: [RFC PATCH 4/8] powerpc: add CPU field to struct thread_info

From: Michael Ellerman <[email-masked]>
Date: Tue, 28 Sep 2021 10:16:10 +1000

Michael Ellerman <[email-masked]> writes:
> Ard Biesheuvel <[email-masked]> writes:
>> On Tue, 14 Sept 2021 at 14:11, Ard Biesheuvel <[email-masked]> wrote:
>>>
>>> The CPU field will be moved back into thread_info even when
>>> THREAD_INFO_IN_TASK is enabled, so add it back to powerpc's definition
>>> of struct thread_info.
>>>
>>> Signed-off-by: Ard Biesheuvel <[email-masked]>
>>
>> Michael,
>>
>> Do you have any objections or issues with this patch or the subsequent
>> ones cleaning up the task CPU kludge for ppc32? Christophe indicated
>> that he was happy with it.
>
> No objections, it looks good to me, thanks for cleaning up that horror :)
>
> It didn't apply cleanly to master so I haven't tested it at all, if you can point me at a
> git tree with the dependencies I'd be happy to run some tests over it.

Actually I realised I can just drop the last patch.

So that looks fine, passes my standard quick build & boot on qemu tests,
and builds with/without stack protector enabled.

cheers